Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class AutoCompleteServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.commons.AutoCompleteServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class AutoCompleteServlet

extends HttpServlet

This servlet figures out a list of possible values given a beginning string on a field of a given type. Results are returned as described at http://github.com/madrobby/scriptaculous/wikis/ajax-autocompleter TODO: this should work with the currently used query language TODO: adapt for ptr: add an if which checks the fieldType, then, do the queries necessary to get the title (as in the ptrEditor) and generate the right result (read scriptaculous doc)

Version:
  $Id: AutoCompleteServlet.java 3693 2009-02-11 00:38:34Z rosso_nero $
Author:
  Manuel Gay
See Also:
  Serialized Form

Field Summary
`static String` | `RESOURCE_PATH_JAVASCRIPT`
`static String` | `resourceDirectory`

Constructor Summary
`AutoCompleteServlet()`

Method Summary
`void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceDirectory

    public static final String resourceDirectory

See Also:
  Constant Field Values

### RESOURCE_PATH_JAVASCRIPT

    public static final String RESOURCE_PATH_JAVASCRIPT

See Also:
  Constant Field Values

Constructor Detail

### AutoCompleteServlet

    public AutoCompleteServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20